# Uses of Interface
org.opensaml.soap.wstrust.BinaryExchange

Packages that use BinaryExchange
Package
Description
org.opensaml.soap.wstrust.impl
XML Object provider implementations for WS-Trust.

## Uses of BinaryExchange in org.opensaml.soap.wstrust.impl

Classes in org.opensaml.soap.wstrust.impl that implement BinaryExchange
Modifier and Type
Class
Description
`class`
`BinaryExchangeImpl`
BinaryExchangeImpl.
Methods in org.opensaml.soap.wstrust.impl that return BinaryExchange
Modifier and Type
Method
Description
`BinaryExchange`
BinaryExchangeBuilder.`buildObject()`
Builds a WS-Trust object of the given type.
`BinaryExchange`
BinaryExchangeBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.